=== debian/changelog ===
urdfdom (3.0.0+ds-5build2) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 16:33:06 +0000

urdfdom (3.0.0+ds-5build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 02:49:03 +0000

urdfdom (3.0.0+ds-5) unstable; urgency=medium

  * Add patch to fix urdfdom-cmake.cmake

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 09 Nov 2021 21:46:45 +0000

urdfdom (3.0.0+ds-4) unstable; urgency=medium

  * Move to unstable to complete transition

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 08 Nov 2021 22:24:18 +0000

urdfdom (3.0.0+ds-3) experimental; urgency=medium

  * Revert rename of liburdfdom-tools package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 05 Nov 2021 12:22:29 +0000

urdfdom (3.0.0+ds-2) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop superfluous dependencies

  [ Jose Luis Rivero ]
  * Add Replaces+Break for liburdfdom-tools
    (Closes: #998016)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 29 Oct 2021 11:08:44 +0000

urdfdom (3.0.0+ds-1) experimental; urgency=medium

  * New upstream version 3.0.0
  * Require pkg-config for autopkgtest
  * Rename lib packages to match 3.0 SOVERSION
  * Update copyright
  * Remove multiarch patch
  * Update standards to 4.6.0
  * Use debhelper-compat 13
  * Added rules-require-root no
  * Remove console_bridge patch
  * Install all binary tools in -tools package
  * Install package.xml file in -dev package
  * Add manpage for urdf_to_graphviz
  * Use system gtest. Exclude gtest from sources

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 17 Oct 2021 17:53:47 +0000

urdfdom (1.0.4+ds-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 08 Sep 2021 15:25:40 +0000
