=== debian/control ===
Source: urdfdom
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libtinyxml-dev,
               libconsole-bridge-dev,
               liburdfdom-headers-dev (>= 1.0),
               googletest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
Rules-Requires-Root: no
Homepage: https://github.com/ros/urdfdom

Package: liburdfdom-model3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtinyxml-dev,
         libconsole-bridge-dev,
         liburdfdom-headers-dev (>= 1.0),
         liburdfdom-model3.0 (= ${binary:Version}),
         liburdfdom-model-state3.0 (= ${binary:Version}),
         liburdfdom-sensor3.0 (= ${binary:Version}),
         liburdfdom-world3.0 (= ${binary:Version}),
         ${misc:Depends}
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.
