## urdfdom 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,11 +49,6 @@
 find_package(urdfdom_headers 1.0 REQUIRED)
 find_package(console_bridge_vendor QUIET) # Provides console_bridge 0.4.0 on platforms without it.
 find_package(console_bridge REQUIRED)
-
-#In Visual Studio a special postfix for libraries compiled in debug is used
-if(MSVC)
-  set(CMAKE_DEBUG_POSTFIX "d")
-endif(MSVC)
 
 # Control where libraries and executables are placed during the build
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
