=== debian/changelog ===
urdfdom (3.0.1-1) unstable; urgency=medium

  * Add cmake to autopkgtest
  * Update changelog
  * New upstream version 3.0.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Feb 2022 15:36:38 +0000
