=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds// \
     https://github.com/ros/urdfdom/tags .*/v?(\d\S*)\.tar\.gz
