=== urdf_parser/CMakeLists.txt ===
--- 
+++ 
@@ -5,16 +5,17 @@
 
   add_library(${add_urdfdom_library_LIBNAME} SHARED
     ${add_urdfdom_library_SOURCES})
-  target_include_directories(${add_urdfdom_library_LIBNAME} SYSTEM PUBLIC
-    ${TinyXML_INCLUDE_DIRS})
   target_include_directories(${add_urdfdom_library_LIBNAME} PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-    "$<INSTALL_INTERFACE:include>")
+    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
   target_link_libraries(${add_urdfdom_library_LIBNAME} PUBLIC
     ${add_urdfdom_library_LINK}
+    ${urdfdom_headers_link_libs}
+  )
+  target_link_libraries(${add_urdfdom_library_LIBNAME} PRIVATE
     ${console_bridge_link_libs}
-    ${urdfdom_headers_link_libs}
-    ${TinyXML_LIBRARIES})
+    tinyxml2::tinyxml2
+  )
   if(NOT CMAKE_CXX_STANDARD)
     target_compile_features(${add_urdfdom_library_LIBNAME} PUBLIC cxx_std_14)
   endif()
@@ -69,6 +70,15 @@
     src/urdf_model_state.cpp
     src/twist.cpp)
 
+add_library(urdf_parser INTERFACE)
+target_include_directories(urdf_parser INTERFACE
+  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
+  "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
+target_link_libraries(urdf_parser INTERFACE
+  urdfdom::urdfdom_model
+  urdfdom::urdfdom_sensor
+  urdfdom::urdfdom_world)
+
 # --------------------------------
 
 add_executable(check_urdf src/check_urdf.cpp)
@@ -110,6 +120,7 @@
   urdfdom_world
   urdfdom_sensor
   urdfdom_model_state
+  urdf_parser
   EXPORT
   urdfdom
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
