=== debian/changelog ===
urdfdom (4.0.0-4) unstable; urgency=medium

  * Add patch for gcc15 (Closes: #1098046)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Sep 2025 15:23:12 +0000

urdfdom (4.0.0-3) unstable; urgency=medium

  * Bump autopktest CMake version

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Sep 2025 15:22:08 +0000

urdfdom (4.0.0-2) unstable; urgency=medium

  * Move to unstable per #1093611

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 06 Feb 2025 12:00:40 +0100

urdfdom (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Need cmake for autopkgtest
  * Use cmake components for autopkgtest
  * Replace dep on tinxyxml by tinyxml2
  * Bump metadata in libs from 3.0 to 4.0
  * Bump standards to 4.6.2 (no change)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Jan 2024 19:18:06 +0000
