=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libtinyxml-dev,
+               libtinyxml2-dev,
                libconsole-bridge-dev,
                liburdfdom-headers-dev (>= 1.0),
                googletest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
 Rules-Requires-Root: no
 Homepage: https://github.com/ros/urdfdom
 
-Package: liburdfdom-model3.0
+Package: liburdfdom-model4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -27,7 +27,7 @@
  .
  This package contains the URDF DOM model library.
 
-Package: liburdfdom-model-state3.0
+Package: liburdfdom-model-state4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -39,7 +39,7 @@
  .
  This package contains the URDF DOM model state library.
 
-Package: liburdfdom-sensor3.0
+Package: liburdfdom-sensor4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -51,7 +51,7 @@
  .
  This package contains the URDF DOM sensor library.
 
-Package: liburdfdom-world3.0
+Package: liburdfdom-world4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -67,13 +67,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libtinyxml-dev,
+Depends: libtinyxml2-dev,
          libconsole-bridge-dev,
          liburdfdom-headers-dev (>= 1.0),
-         liburdfdom-model3.0 (= ${binary:Version}),
-         liburdfdom-model-state3.0 (= ${binary:Version}),
-         liburdfdom-sensor3.0 (= ${binary:Version}),
-         liburdfdom-world3.0 (= ${binary:Version}),
+         liburdfdom-model4.0 (= ${binary:Version}),
+         liburdfdom-model-state4.0 (= ${binary:Version}),
+         liburdfdom-sensor4.0 (= ${binary:Version}),
+         liburdfdom-world4.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: URDF DOM - development files
  The URDF (U-Robot Description Format) library provides core data
