=== urdf_parser/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
   add_library(${add_urdfdom_library_LIBNAME} SHARED
     ${add_urdfdom_library_SOURCES})
+  add_library(urdfdom::${add_urdfdom_library_LIBNAME} ALIAS ${add_urdfdom_library_LIBNAME})
   target_include_directories(${add_urdfdom_library_LIBNAME} PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
     "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
@@ -63,13 +64,6 @@
   LINK
     urdfdom_model)
 
-add_urdfdom_library(
-  LIBNAME
-    urdfdom_model_state
-  SOURCES
-    src/urdf_model_state.cpp
-    src/twist.cpp)
-
 add_library(urdf_parser INTERFACE)
 target_include_directories(urdf_parser INTERFACE
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
@@ -84,10 +78,6 @@
 add_executable(check_urdf src/check_urdf.cpp)
 target_include_directories(check_urdf PUBLIC include)
 target_link_libraries(check_urdf urdfdom_model urdfdom_world)
-
-# Deprecated executable
-add_executable(urdf_to_graphiz src/urdf_to_graphviz.cpp)
-target_link_libraries(urdf_to_graphiz urdfdom_model)
 
 add_executable(urdf_to_graphviz src/urdf_to_graphviz.cpp)
 target_include_directories(urdf_to_graphviz PUBLIC include)
@@ -107,7 +97,6 @@
 INSTALL(
   TARGETS
   check_urdf
-  urdf_to_graphiz
   urdf_to_graphviz
   urdf_mem_test
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -119,7 +108,6 @@
   urdfdom_model
   urdfdom_world
   urdfdom_sensor
-  urdfdom_model_state
   urdf_parser
   EXPORT
   urdfdom
