=== debian/changelog ===
urdfdom (5.0.4-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 07 Feb 2026 10:16:40 +0000

urdfdom (5.0.4-1) experimental; urgency=medium

  * New upstream version 5.0.4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 Dec 2025 11:45:09 +0100

urdfdom (5.0.2-1) experimental; urgency=medium

  * Update d/watch to v5
  * Bump standards to 4.7.2
  * New upstream version 5.0.2
  * Move package names to the 5.0 suffix
  * Remove deprecated model-state lib

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Sep 2025 15:25:05 +0000
