=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                libconsole-bridge-dev,
                liburdfdom-headers-dev (>= 1.0),
                googletest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
-Rules-Requires-Root: no
 Homepage: https://github.com/ros/urdfdom
 
-Package: liburdfdom-model4.0
+Package: liburdfdom-model5.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -27,19 +26,7 @@
  .
  This package contains the URDF DOM model library.
 
-Package: liburdfdom-model-state4.0
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: URDF DOM - model state library
- The URDF (U-Robot Description Format) library provides core data
- structures and a simple XML parsers for populating the class data
- structures from an URDF file.
- .
- This package contains the URDF DOM model state library.
-
-Package: liburdfdom-sensor4.0
+Package: liburdfdom-sensor5.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -51,7 +38,7 @@
  .
  This package contains the URDF DOM sensor library.
 
-Package: liburdfdom-world4.0
+Package: liburdfdom-world5.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -70,10 +57,9 @@
 Depends: libtinyxml2-dev,
          libconsole-bridge-dev,
          liburdfdom-headers-dev (>= 1.0),
-         liburdfdom-model4.0 (= ${binary:Version}),
-         liburdfdom-model-state4.0 (= ${binary:Version}),
-         liburdfdom-sensor4.0 (= ${binary:Version}),
-         liburdfdom-world4.0 (= ${binary:Version}),
+         liburdfdom-model5.0 (= ${binary:Version}),
+         liburdfdom-sensor5.0 (= ${binary:Version}),
+         liburdfdom-world5.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: URDF DOM - development files
  The URDF (U-Robot Description Format) library provides core data
